<?php if (!defined('THINK_PATH')) exit(); /*a:3:{s:58:"/www/thinkphp/one_product/app/admin/view/refund/index.html";i:1560781501;s:57:"/www/thinkphp/one_product/app/admin/view/common/head.html";i:1533971223;s:57:"/www/thinkphp/one_product/app/admin/view/common/foot.html";i:1533971223;}*/ ?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title><?php echo config('sys_name'); ?>后台管理</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="format-detection" content="telephone=no">
    <link rel="stylesheet" href="/public/static/plugins/layui/css/layui.css" media="all" />
    <link rel="stylesheet" href="/public/static/admin/css/global.css" media="all">
    <link rel="stylesheet" href="/public/static/common/css/font.css" media="all">
</head>
<body class="skin-<?php if(!empty($_COOKIE['skin'])){echo $_COOKIE['skin'];}else{echo '0';setcookie('skin','0');}?>">
<div class="admin-main layui-anim layui-anim-upbit">
    <fieldset class="layui-elem-field layui-field-title">
        <legend>售后订单<?php echo lang('list'); ?></legend>
    </fieldset>
    <div class="demoTable">
        <div class="layui-inline">
            <input class="layui-input" name="key" id="key" placeholder="<?php echo lang('pleaseEnter'); ?>关键字">
        </div>
        <button class="layui-btn" id="search" data-type="reload"><?php echo lang('search'); ?></button>
        <a href="<?php echo url('index'); ?>" class="layui-btn">显示全部</a>
        <!--<button type="button" class="layui-btn layui-btn-danger" id="delAll">批量删除</button>-->
        <!--<a href="<?php echo url('add'); ?>" class="layui-btn" style="float:right;"><i class="fa fa-plus" aria-hidden="true"></i><?php echo lang('add'); ?></a>-->
        <div style="clear: both;"></div>
    </div>
    <table class="layui-table" id="list" lay-filter="list"></table>
</div>
<script type="text/javascript" src="/public/static/plugins/layui/layui.js"></script>


<script type="text/html" id="action">
    <a href="<?php echo url('edit'); ?>?id={{d.id}}" class="layui-btn layui-btn-xs">编辑</a>
    <!--<a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>-->
    {{# if(d.pay_type == 'wechat' || d.pay_type == 'alipay'){ }}<a href="javascript:;" class="layui-btn layui-btn-danger layui-btn-xs" lay-event="refund">原路退款</a>{{# } }}
</script>
<script type="text/html" id="money">
    ￥{{d.amount}}
</script>
<script type="text/html" id="stat">
    {{# if(d.stat == 0){ }} 退款中 {{# } }}
    {{# if(d.stat == 1){ }} 退款完成 {{# } }}
</script>
<script type="text/html" id="act">
    {{# if(d.act == 1){ }} 退款 {{# } }}
    {{# if(d.act == 2){ }} 退货 {{# } }}
    {{# if(d.act == 3){ }} 退货退款 {{# } }}
</script>
<script type="text/html" id="status">
    {{# if(d.pay_type == 'cash' && d.status != 2 && d.status != 99){ }}
    货到付款
    {{# } else { }}
    {{# if(d.status == -1){ }} 已删除 {{# } }}
    {{# if(d.status == 0){ }} 未付款 {{# } }}
    {{# if(d.status == 1){ }} 已付款 {{# } }}
    {{# if(d.status == 2){ }} 已经收货 {{# } }}
    {{# if(d.status == 99){ }} 已经完成 {{# } }}
    {{# } }}
</script>
<script type="text/html" id="pay">
    {{# if(d.pay_type == 'cash'){ }} 货到付款 {{# } }}
    {{# if(d.pay_type == 'wechat'){ }} 微信支付 {{# } }}
    {{# if(d.pay_type == 'alipay'){ }} 支付宝 {{# } }}
</script>
<script>
    layui.use('table', function() {
        var table = layui.table, $ = layui.jquery;
        var tableIn = table.render({
            id: 'order',
            elem: '#list',
            url: '<?php echo url("index"); ?>',
            method: 'post',
            page: true,
            cols: [[
                {checkbox: true, fixed: true},
                {field: 'username', title: '用户', width: 150, fixed: true},
                {field: 'sn', title: '订单号', width: 200},
                {field: 'mobile', title: '手机', width: 130},
                {field: 'name', title: '<?php echo lang("name"); ?>', width: 200},
                {field: 'amount', title: '金额', width: 100,templet:'#money'},
                {field: 'content', title: '理由', width: 150},
                {field: 'createtime', title: '下单<?php echo lang("time"); ?>', width: 150},
                {field: 'pay_type', title: '付款方式', width: 100,templet:'#pay'},
                {field: 'status', title: '订单状态', width: 100,templet:'#status'},
                {field: 'act', title: '退款申请', width: 100,templet:'#act'},
                {field: 'stat', title: '退款状态', width: 100,templet:'#stat'},
                {width: 160, align: 'center', toolbar: '#action'}
            ]],
            limit: 10
        });
        //搜索
        $('#search').on('click', function () {
            var key = $('#key').val();
            if ($.trim(key) === '') {
                layer.msg('<?php echo lang("pleaseEnter"); ?>关键字！', {icon: 0});
                return;
            }
            tableIn.reload({
                where: {key: key}
            });
        });
        table.on('tool(list)', function(obj) {
            var data = obj.data;
            if(obj.event === 'del'){
                layer.confirm('您确定要删除该信息吗？', function(index){
                    var loading = layer.load(1, {shade: [0.1, '#fff']});
                    $.post("<?php echo url('del'); ?>",{id:data.id},function(res){
                        layer.close(loading);
                        if(res.code===1){
                            layer.msg(res.msg,{time:1000,icon:1});
                            tableIn.reload();
                        }else{
                            layer.msg('操作失败！',{time:1000,icon:2});
                        }
                    });
                    layer.close(index);
                });
            }

            if(obj.event === 'refund'){
                $.get("<?php echo url('findPayInfo'); ?>", {sn:data.sn}, function (res) {
                    if (res.code == 1) {
                        layer.confirm('您确定立即全额退款吗？', function(index){
                            var loading = layer.load(1, {shade: [0.1, '#fff']});
                            $.post("<?php echo url('refund'); ?>",{sn:data.sn},function(res){
                                layer.close(loading);
                                if(res.code===1){
                                    layer.msg(res.msg,{time:1000,icon:1});
                                    tableIn.reload();
                                }else{
                                    layer.msg('操作失败！' + res.msg,{time:3000,icon:2});
                                }
                            });
                            layer.close(index);
                        });
                    } else {
                        layer.msg(res.msg,{time:1000,icon:2});
                    }
                });
            }
        });
        $('#delAll').click(function(){
            layer.confirm('确认要删除选中的订单吗？', {icon: 3}, function(index) {
                layer.close(index);
                var checkStatus = table.checkStatus('order'); //test即为参数id设定的值
                var ids = [];
                $(checkStatus.data).each(function (i, o) {
                    ids.push(o.id);
                });
                var loading = layer.load(1, {shade: [0.1, '#fff']});
                $.post("<?php echo url('delall'); ?>", {ids: ids}, function (data) {
                    layer.close(loading);
                    if (data.code === 1) {
                        layer.msg(data.msg, {time: 1000, icon: 1});
                        tableIn.reload();
                    } else {
                        layer.msg(data.msg, {time: 1000, icon: 2});
                    }
                });
            });
        })
    });
</script>